Bug 1564882 - [abrt] free_pgtables: kernel paging request at free_pgtables [NEEDINFO]
Summary: [abrt] free_pgtables: kernel paging request at free_pgtables
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f5275c5d811eaa4012ddb6b85ae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 15:49 UTC by Dave O
Modified: 2018-08-29 15:21 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:21:21 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (81.76 KB, text/plain)
2018-04-08 15:50 UTC, Dave O
no flags Details

Description Dave O 2018-04-08 15:49:54 UTC
Description of problem:
System fails after dnf update on 4/7/18.  Was browsing a page on Chrome after waking the machine from sleep/hibernate.

Additional info:
reporter:       libreport-2.9.3
BUG: unable to handle kernel paging request at ffff8074ba8b56b8
IP: unlink_anon_vmas+0x22/0x1c0
PGD 0 P4D 0 
Oops: 0000 [#1] SMP PTI
Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc bnep binfmt_misc coretemp kvm_intel iTCO_wdt iTCO_vendor_support gpio_ich kvm dcdbas irqbypass i2c_i801 snd_hda_codec_idt snd_hda_codec_generic btusb snd_hda_codec_hdmi btrtl btbcm btintel snd_usb_audio snd_hda_intel uvcvideo bluetooth snd_hda_codec
 videobuf2_vmalloc videobuf2_memops usblp snd_usbmidi_lib videobuf2_v4l2 snd_hda_core snd_rawmidi snd_hwdep videobuf2_core snd_seq videodev snd_seq_device snd_pcm joydev media ecdh_generic rfkill snd_timer lpc_ich snd soundcore x38_edac shpchp uas usb_storage radeon i2c_algo_bit drm_kms_helper ttm firewire_ohci drm serio_raw e1000e firewire_core crc_itu_t ptp pps_core
CPU: 1 PID: 1706 Comm: gnome-shell Not tainted 4.15.14-300.fc27.x86_64 #1
Hardware name: Dell Inc. Dell XPS420                  /0TP406, BIOS A03 01/02/2008
RIP: 0010:unlink_anon_vmas+0x22/0x1c0
RSP: 0018:ffff9d50c3f73d50 EFLAGS: 00010206
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 00007f7e23ced000
RDX: 00007f7e23ce7000 RSI: ffff8874ba8b5640 RDI: ffff8874ba8b5640
RBP: ffff8874ba8b5640 R08: 0000000000000000 R09: ffff8874ba8b5640
R10: 0000000000000000 R11: 0000000000000000 R12: ffff8074ba8b56b8
R13: ffff8874ba8b56b8 R14: 00007f7e23ce7000 R15: 00007f7e23ced000
FS:  00007f7e9ab3aac0(0000) GS:ffff8876bbc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffff8074ba8b56b8 CR3: 00000001f6260000 CR4: 00000000000006e0
Call Trace:
 free_pgtables+0x5f/0x110
 unmap_region+0xcf/0x110
 ? fsnotify_grab_connector+0x3c/0x60
 ? fsnotify_destroy_marks+0x12/0xe0
 ? __vma_rb_erase+0x1f6/0x270
 do_munmap+0x270/0x440
 vm_munmap+0x5f/0xa0
 SyS_munmap+0x1d/0x30
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f7e97bf8e67
RSP: 002b:00007ffce7114168 EFLAGS: 00000206 ORIG_RAX: 000000000000000b
RAX: ffffffffffffffda RBX: 00005637c65ccf70 RCX: 00007f7e97bf8e67
RDX: 00005637c2edb268 RSI: 0000000000003000 RDI: 00007f7e23ce7000
RBP: 00005637c2edadf0 R08: 0000000000000000 R09: 00000000000001b4
R10: 00005637c358c8c0 R11: 0000000000000206 R12: 00005637c2edb268
R13: 00005637c2edaf50 R14: 00005637c6c5f340 R15: 00005637c7012d30
Code: 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 41 57 41 56 41 55 41 54 4c 8d 6f 78 55 53 48 83 ec 08 4c 8b 67 78 48 89 3c 24 4d 39 e5 <49> 8b 14 24 0f 84 73 01 00 00 4d 8d 7c 24 f0 48 8d 5a f0 31 ff 
RIP: unlink_anon_vmas+0x22/0x1c0 RSP: ffff9d50c3f73d50
CR2: ffff8074ba8b56b8

Comment 1 Dave O 2018-04-08 15:50:10 UTC
Created attachment 1418913 [details]
File: dmesg

Comment 2 Dave O 2018-04-12 17:06:19 UTC
I believe that many of my system exceptions are due to pulseaudio - machine seems more stable when not streaming audio.

Comment 3 Justin M. Forbes 2018-07-23 15:30:30 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2018-08-29 15:21:21 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.